> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Identifier Groups



## OpenAPI

````yaml firework-v2-openapi post /firework/v2/assets/groups/
openapi: 3.0.1
info:
  description: >

    Manage and access Firework resources.


    ### Steps to use the Api


    1. `Send` a POST request to `https://api.flare.systems/tokens/generate` with
    your **Firework** credentials using [Basic
    Auth](https://en.wikipedia.org/wiki/Basic_access_authentication) to get a
    authentication token.

    ---

    2. On the current page, click on the **Authorize** button and insert the
    token using the following format: `Bearer {token}`

       Example value: `Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.e30.Et9HFtf9R3GEMA0IICOfFMVXY7kkTX1wr4qCyhIf58U`
    ---

    3. You should now be able to use SwaggerUI's built-in tools to query the
    documented endpoints.
  title: Firework API
  version: v2
servers:
  - url: https://api.flare.io/
security:
  - BearerAuth: []
tags:
  - description: Searches the threat activity database.
    name: search
  - description: Manage a user's or organization's identifiers
    name: Identifiers
  - description: Perform actions on activities.
    name: activities
  - description: Perform actions on the current user.
    name: me
  - description: Manage tenants.
    name: tenants
  - description: Admin management of organizations.
    name: organizations
  - description: Manage reporting as an admin.
    name: reporting
paths:
  /firework/v2/assets/groups/:
    post:
      tags:
        - Identifiers
      operationId: post_assets_groups_/assets/groups/
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IdentifierGroup'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/post_assets_groups__assets_groups__200_response
          description: Success
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
          description: Query is invalid.
components:
  schemas:
    IdentifierGroup:
      properties:
        id:
          type: integer
        tenant_id:
          type: integer
        feed_id:
          type: integer
        feed_owner_id:
          type: integer
        name:
          type: string
        urn:
          description: The uniform resource name of the identifier group.
          type: string
      type: object
    post_assets_groups__assets_groups__200_response:
      properties:
        assets_group:
          $ref: '#/components/schemas/IdentifierGroup'
      type: object
    HttpError:
      properties:
        message:
          type: string
        code:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````